Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextTableCellFormat

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextFormat
                  com.trolltech.qt.gui.QTextCharFormat
                      com.trolltech.qt.gui.QTextTableCellFormat

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QTextTableCellFormat

extends QTextCharFormat
implements java.lang.Cloneable

The `QTextTableCellFormat` class provides formatting information for table cells in a `QTextDocument`. The table cell format of a table cell in a document specifies the visual properties of the table cell.

The padding properties of a table cell are controlled by `setLeftPadding()`, `setRightPadding()`, `setTopPadding()`, and `setBottomPadding()`. All the paddings can be set at once using `setPadding()`.

See also:
  `QTextFormat`, `QTextBlockFormat`, `QTextTableFormat`, and `QTextCharFormat`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QTextCharFormat
`QTextCharFormat.UnderlineStyle, QTextCharFormat.VerticalAlignment`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QTextFormat
`QTextFormat.FormatType, QTextFormat.ObjectTypes, QTextFormat.PageBreakFlag, QTextFormat.PageBreakFlags, QTextFormat.Property`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QTextTableCellFormat()` Constructs a new table cell format object.

Method Summary
`double` | `bottomPadding()` Gets the bottom padding of the table cell.
`QTextTableCellFormat` | `clone()` This method is reimplemented for internal reasons
`static QTextTableCellFormat` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QTextTableCellFormat instance pointed to by `nativePointer`.
`double` | `leftPadding()` Gets the left padding of the table cell.
`static QNativePointer` | `nativePointerArray(QTextTableCellFormat[] array)` This function returns a QNativePointer that is pointing to the specified QTextTableCellFormat array.
`double` | `rightPadding()` Gets the right padding of the table cell.
`void` | `setBottomPadding(double padding)` Sets the bottom `padding` of the table cell.
`void` | `setLeftPadding(double padding)` Sets the left `padding` of the table cell.
`void` | `setPadding(double padding)` Sets the left, right, top, and bottom `padding` of the table cell.
`void` | `setRightPadding(double padding)` Sets the right `padding` of the table cell.
`void` | `setTopPadding(double padding)` Sets the top `padding` of the table cell.
`double` | `topPadding()` Gets the top padding of the table cell.

Methods inherited from class com.trolltech.qt.gui.QTextCharFormat
`anchorHref, anchorNames, font, fontCapitalization, fontFamily, fontFixedPitch, fontItalic, fontLetterSpacing, fontOverline, fontPointSize, fontStrikeOut, fontUnderline, fontWeight, fontWordSpacing, isAnchor, nativePointerArray, setAnchor, setAnchorHref, setAnchorNames, setFont, setFontCapitalization, setFontFamily, setFontFixedPitch, setFontItalic, setFontLetterSpacing, setFontOverline, setFontPointSize, setFontStrikeOut, setFontUnderline, setFontWeight, setFontWordSpacing, setTextOutline, setToolTip, setUnderlineColor, setUnderlineStyle, setVerticalAlignment, textOutline, toolTip, underlineColor, underlineStyle, verticalAlignment`

Methods inherited from class com.trolltech.qt.gui.QTextFormat
`background, boolProperty, brushProperty, clearBackground, clearForeground, clearProperty, colorProperty, doubleProperty, foreground, hasProperty, intProperty, isBlockFormat, isCharFormat, isFrameFormat, isImageFormat, isListFormat, isTableCellFormat, isTableFormat, isValid, layoutDirection, lengthProperty, lengthVectorProperty, merge, nativePointerArray, objectIndex, objectType, penProperty, properties, property, propertyCount, readFrom, setBackground, setForeground, setLayoutDirection, setObjectIndex, setObjectType, setProperty, setProperty, stringProperty, toBlockFormat, toCharFormat, toFrameFormat, toImageFormat, toListFormat, toTableCellFormat, toTableFormat, type, writeTo`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextTableCellFormat

    public QTextTableCellFormat()

  Constructs a new table cell format object.

Method Detail

### bottomPadding

    public final double bottomPadding()

  Gets the bottom padding of the table cell.

See also:
  `setBottomPadding()`, `leftPadding()`, `rightPadding()`, and `topPadding()`.

### leftPadding

    public final double leftPadding()

  Gets the left padding of the table cell.

See also:
  `setLeftPadding()`, `rightPadding()`, `topPadding()`, and `bottomPadding()`.

### rightPadding

    public final double rightPadding()

  Gets the right padding of the table cell.

See also:
  `setRightPadding()`, `leftPadding()`, `topPadding()`, and `bottomPadding()`.

### setBottomPadding

    public final void setBottomPadding(double padding)

  Sets the bottom `padding` of the table cell.

See also:
  `bottomPadding()`, `setLeftPadding()`, `setRightPadding()`, and `setTopPadding()`.

### setLeftPadding

    public final void setLeftPadding(double padding)

  Sets the left `padding` of the table cell.

See also:
  `leftPadding()`, `setRightPadding()`, `setTopPadding()`, and `setBottomPadding()`.

### setPadding

    public final void setPadding(double padding)

  Sets the left, right, top, and bottom `padding` of the table cell.

See also:
  `setLeftPadding()`, `setRightPadding()`, `setTopPadding()`, and `setBottomPadding()`.

### setRightPadding

    public final void setRightPadding(double padding)

  Sets the right `padding` of the table cell.

See also:
  `rightPadding()`, `setLeftPadding()`, `setTopPadding()`, and `setBottomPadding()`.

### setTopPadding

    public final void setTopPadding(double padding)

  Sets the top `padding` of the table cell.

See also:
  `topPadding()`, `setLeftPadding()`, `setRightPadding()`, and `setBottomPadding()`.

### topPadding

    public final double topPadding()

  Gets the top padding of the table cell.

See also:
  `setTopPadding()`, `leftPadding()`, `rightPadding()`, and `bottomPadding()`.

### fromNativePointer

    public static QTextTableCellFormat fromNativePointer(QNativePointer nativePointer)

  This method returns the QTextTableCellFormat instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTextTableCellFormat[] array)

  This function returns a QNativePointer that is pointing to the specified QTextTableCellFormat array.

### clone

    public QTextTableCellFormat clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QTextCharFormat`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD